.navbar-custom {
  font-family: "IBM Plex Mono", monospace;
  font-weight: 400;
  background-color: #252525;
  /* Warna gelap */
  padding: 10px 0;
}

.nav-link {
  color: #b0b0b0 !important;
  /* Warna teks abu-abu */
  font-size: 0.9rem;
  letter-spacing: 1px;
  margin: 0 20px;
}

.nav-link:hover {
  color: #ffffff !important;
  /* Warna saat di-hover */
}

.social-icon {
  color: #6c757d;
  margin-left: 15px;
  font-size: 1.1rem;
  text-decoration: none;
  transition: color 0.3s;
}

.social-icon:hover {
  color: white;
}

#profile {
  background-color: #000000;
  padding-top: 90px;
}

#profile h1 {
  color: white;
  margin-bottom: 20px;
  font-family: "Raleway", sans-serif;
  font-weight: 800;
}

#profile p {
  font-family: "IBM Plex Mono", monospace;
  font-weight: 400;
  color: white;
  font-size: 14px;
  line-height: 1.6;
  text-align: justify;
  margin-bottom: 45px;
}

.call-to-action {
  width: fit-content;
}

#contactme:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease;
}

#cv:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease;
}

#cv {
  margin-left: 20px;
}

.call-to-action a {
  font-family: raleway, sans-serif;
  font-weight: 700;
  color: #ffffff;
  text-decoration: none;
}

.profile-img {
  width: 350px;
  height: 350px;
  border-radius: 50%;
  object-fit: cover;
  object-position: center 10%;
}

@media (max-width: 992px) {
  .profile-img {
    margin-top: 50px;
    width: 250px;
    height: 250px;
  }

}

.skills-container {
  display: flex;
  justify-content: center;
  gap: 30px;
  flex-wrap: wrap;
}

.skill-item {
  text-align: center;
  color: white;
}

.skill-item i {
  font-size: 3rem;
  margin-bottom: 10px;
  display: block;
}

#skills {
  background-color: #252525;
  padding: 10px 30px;
  border-radius: 10px 10px 0px 0px;
  width: fit-content;
  margin: 0 auto;
}

#col-skill {
  margin: 0;
  padding: 0;
}

.skill-item img {
  width: 50px;
  height: 50px;
}

#txtskill {
  margin-top: 100px;
  margin-left: auto;
  margin-right: auto;
  padding: 0 0 0 0;
  background-color: #252525;
  padding: 0 10px;
  border-radius: 10px 10px 0px 0px;
  width: fit-content;
}

#txtskill p {
  margin: 0 20px;
}

.recent-work {
  position: relative;
  overflow: hidden;
  border-radius: 30px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.recent-work h2 {
  font-family: "Raleway", sans-serif;
  font-weight: 800;
  margin-top: 30px;
  text-align: center;
}

.recent-work h4 {
  font-family: "Raleway", sans-serif;
  font-weight: 700;
  text-align: left;
  margin: auto 70px;
  margin-bottom: 15px;
}

.recent-work p {
  font-family: "IBM Plex Mono", monospace;
  font-weight: 400;
  color: #333;
  font-size: 14px;
  line-height: 1.6;
  text-align: justify;
  margin: auto 70px;
}

.recent-work ul {
  font-family: "IBM Plex Mono", monospace;
  font-weight: 400;
  color: #333;
  font-size: 14px;
  line-height: 1.6;
  text-align: justify;
  margin: auto 70px;
}

#endsection {
  color: white;
  margin-top: 50px;
  background-color: #000000;
  padding: 50px 0;
}

#footer {
  background-color: #000000;
  color: #888888;
  border-top: 2px solid #252525;
}

.footer-custom {
  font-family: "IBM Plex Mono", monospace;
  font-weight: 400;
}

.contact-form {
  max-width: 500px;
  margin: 30px auto;
}

.contact-form .form-control {
  margin-bottom: 15px;
  border-radius: 5px;
}

#responseMessage {
  margin-top: 15px;
}

.get-in-touch h2 {
  font-family: "Raleway", sans-serif;
  font-weight: 800;
  margin-top: 30px;
  margin-bottom: 20px;
  text-align: center;
}

.get-in-touch p {
  font-family: "IBM Plex Mono", monospace;
  font-weight: 400;
  color: #ffffff;
  font-size: 14px;
  line-height: 1.6;
  text-align: center;
  margin-bottom: 30px;
  padding: 0 150px;
}

@media (max-width: 768px) {
  .get-in-touch p {
    padding: 0 20px;
  }
}

.contact-form {
  font-family: IBM Plex Mono, monospace;
  font-weight: 400;
}

.project-img {
  width: 70%;
  height: auto;
  border-radius: 15px;
  transition: transform 0.3s ease;
}

.btn-reflection {
  font-family: "IBM Plex Mono", monospace;
  font-weight: 400;
  color: white;
  background-color: #0d6efd;
  border: none;
  padding: 8px 20px;
  font-size: 0.9rem;
  transition: all 0.3s ease;
  margin: 20px auto;
}

.btn-reflection:hover {
  background-color: #0b5ed7;
  transform: scale(1.05);
  box-shadow: 0 4px 8px rgba(13, 110, 253, 0.3);
  color: white;
}